#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <iostream>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    sound=new QSound("musik/klassika.wav");
    t=new test();
    vid=new video();
    ui->setupUi(this);
    fon.setBrush(ui->widget->backgroundRole(),
    QBrush(QPixmap("pic/NEWFON.png")));
    ui->widget->setPalette(fon);
    connect(ui->video, SIGNAL(triggered()), this, SLOT(videopleer()));
    connect(ui->test, SIGNAL(triggered()), this, SLOT(tester()));

}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::videopleer()
{
    sound->stop();
    QIcon pix("pic/video.png");
    vid->setWindowIcon(pix);
    QPalette pal(Qt::white);
    vid->setPalette(pal);
    vid->show();
}

void MainWindow::tester()
{
    QIcon pix("pic/test.png");
    t->setWindowIcon(pix);
    QPalette pal(Qt::white);
    t->setPalette(pal);
    t->show();
}
