#include "video.h"
#include "ui_video.h"
#include <iostream>
using namespace std;
video::video(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::video)
{
    ui->setupUi(this);

    setAttribute(Qt::WA_DeleteOnClose, true);

    m_pmedia=new Phonon::MediaObject(this);
    m_pao   =new Phonon::AudioOutput(Phonon::VideoCategory, this);
    Phonon::VideoWidget *pvw =new Phonon::VideoWidget;
    Phonon::createPath(m_pmedia, m_pao);
    Phonon::createPath(m_pmedia, pvw);
    Phonon::SeekSlider *seek = new Phonon::SeekSlider;
    seek->setMediaObject(m_pmedia);
   seek->setFixedSize(1280, 20);

   QVBoxLayout *all=new QVBoxLayout;

   ui->vlay->addWidget(pvw);
   ui->vlay->addWidget(seek);
   all->addLayout(ui->vlay);
   all->addLayout(ui->hlay);
   setLayout(all);
   connect(ui->play,SIGNAL(clicked()), m_pmedia, SLOT(play()));
   connect(ui->pause,SIGNAL(clicked()), m_pmedia, SLOT(pause()));
   connect(ui->stop,SIGNAL(clicked()), m_pmedia, SLOT(stop()));
   connect(ui->vvedenie, SIGNAL(triggered()), this,  SLOT(urok1()));
   connect(ui->pushButton, SIGNAL(clicked()), this, SLOT(close()));
   ui->play->setIcon(QIcon("buttons/play.png"));
   ui->pause->setIcon(QIcon("buttons/pause.png"));
   ui->stop->setIcon(QIcon("buttons/stop.png"));
   ui->pushButton->setIcon(QIcon("buttons/load.png"));

}

video::~video()
{
    delete ui;
}

void video::urok1()
{
    QString str="uroki/tutorial/null.avi";

 m_pmedia->setCurrentSource(Phonon::MediaSource(str));
}
